> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bucket

> Retrieve the details for a specific S3 bucket.



## OpenAPI

````yaml get /api/s3/buckets/{bucket_name}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/s3/buckets/{bucket_name}:
    get:
      tags:
        - S3
      summary: Get bucket
      description: Retrieve the details for a specific S3 bucket.
      operationId: get_bucket_api_s3_buckets__bucket_name__get
      parameters:
        - name: bucket_name
          in: path
          required: true
          schema:
            type: string
            description: The unique name of the S3 bucket to retrieve.
            title: Bucket Name
          description: The unique name of the S3 bucket to retrieve.
      responses:
        '200':
          description: S3 bucket retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/S3BucketModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    S3BucketModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique ID for the bucket.
        bucket:
          type: string
          title: Bucket
          description: The unique name of the S3 bucket.
        endpoint:
          type: string
          title: Endpoint
          description: The endpoint URL used to connect to the S3 bucket.
        accesskey:
          type: string
          title: Accesskey
          description: The access key used for authentication.
        secretkey:
          type: string
          title: Secretkey
          description: The secret key used for authentication.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: S3 bucket record creation timestamp.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the bucket record was last updated.
      type: object
      required:
        - bucket
        - endpoint
        - accesskey
        - secretkey
      title: S3BucketModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````